#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 29. Introduction to KDE

- Prev

  Phonon-backend-vlc-0.12.0

- Next

  plasma-wayland-protocols-1.16.0

- Up
- Home

# Polkit-Qt-0.200.0

## Introduction to Polkit-Qt

Polkit-Qt provides an API to PolicyKit in the Qt environment.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/polkit-qt-1/polkit-qt-1-0.200.0.tar.xz

- Download MD5 sum: 6f23bc987ea9c49b4ef21983b9d1dc15

- Download size: 60 KB

- Estimated disk space required: 3.8 MB

- Estimated build time: 0.1 SBU

### Polkit-Qt Dependencies

#### Required

CMake-3.31.5, Polkit-126, and Qt-6.8.2

## Installation of Polkit-Qt

Install Polkit-Qt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D QT_MAJOR_VERSION=6        \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-D CMAKE_BUILD_TYPE=Release`: This switch is used to apply higher level of the compiler optimizations.

## Contents

Installed Programs: none
Installed Libraries: libpolkit-qt6-agent-1.so, libpolkit-qt6-core-1.so, and libpolkit-qt6-gui-1.so
Installed Directories: /usr/include/polkit-qt6-1 and /usr/lib/cmake/PolkitQt6-1

- Prev

  Phonon-backend-vlc-0.12.0

- Next

  plasma-wayland-protocols-1.16.0

- Up
- Home